Docs
Update Proposal
PATCH /Proposals/{proposalId}
PATCH
/Proposals/{proposalId}Updates a proposal's name, client and terms. Refused while the proposal's price is locked (status Accepted, Paid or Canceled). Internal notes have their own operation, Proposals_UpdateProposalInternalNotes. Requires event admin permission.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| proposalId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| clientCollaboratorRecordId | uuid | Optional | |
| terms | string | Optional |